Roboform doesn't work Rated 3 out of 5 stars

Using FF5 and Roboform 7. The latter doesn't work at all. The only reason I have this add-on is so I can access sites where financial transactions forms aren't compatible with Firefox (Visa for instance). Without Roboform it's a pain and I might as well load up IE8.

This review is for a previous version of the add-on (3.5.9.1).